Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 787011 - bootstrap-prefix.sh fails to emerge dev-libs/openssl-1.1.1i on macOS 11.2.3 Big Sur
Summary: bootstrap-prefix.sh fails to emerge dev-libs/openssl-1.1.1i on macOS 11.2.3 B...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo/Alt
Classification: Unclassified
Component: Prefix Support (show other bugs)
Hardware: AMD64 OS X
: Normal normal (vote)
Assignee: Gentoo Prefix
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-29 23:14 UTC by ash
Modified: 2021-08-28 08:13 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ash 2021-04-29 23:14:07 UTC
First of all, the ebuild doesn't even have good URLs for getting the source file openssl-1.1.1i.tar.gz.  I downloaded the source manually and moved it to ./var/cache/distfiles/.  It had the right hash so it should be the intended file right?  But then the compilation fails.

>>> Emerging (1 of 5) dev-libs/openssl-1.1.1i::gentoo_prefix
 * openssl-1.1.1i.tar.gz BLAKE2B SHA512 size ;-) ...                     [ ok ]
>>> Unpacking source...
>>> Unpacking openssl-1.1.1i.tar.gz to /Users/ash/Gentoo/var/tmp/portage/dev-libs/openssl-1.1.1i/work
>>> Source unpacked in /Users/ash/Gentoo/var/tmp/portage/dev-libs/openssl-1.1.1i/work
>>> Preparing source in /Users/ash/Gentoo/var/tmp/portage/dev-libs/openssl-1.1.1i/work/openssl-1.1.1i ...
 * Applying openssl-1.1.0j-parallel_install_fix.patch ...
 [ ok ]
Operating system: x86_64-apple-darwinDarwin Kernel Version 20.3.0: Thu Jan 21 00:07:06 PST 2021; root:xnu-7195.81.3~1/RELEASE_X86_64
WARNING! If you wish to build 32-bit libraries, then you have to
         invoke 'KERNEL_BITS=32 ./config  '--test-sanity''.
Configuring OpenSSL version 1.1.1i (0x1010109fL) for darwin64-x86_64-cc
Using os-specific seed configuration
Creating configdata.pm
Creating Makefile

**********************************************************************
***                                                                ***
***   OpenSSL has been successfully configured                     ***
***                                                                ***
***   If you encounter a problem while building, please open an    ***
***   issue on GitHub <https://github.com/openssl/openssl/issues>  ***
***   and include the output from the following command:           ***
***                                                                ***
***       perl configdata.pm --dump                                ***
***                                                                ***
***   (If you are new to OpenSSL, you might want to consult the    ***
***   'Troubleshooting' section in the INSTALL file first)         ***
***                                                                ***
**********************************************************************
 * Will copy sources from /Users/ash/Gentoo/var/tmp/portage/dev-libs/openssl-1.1.1i/work/openssl-1.1.1i
 * abi_x86_64.amd64: copying to /Users/ash/Gentoo/var/tmp/portage/dev-libs/openssl-1.1.1i/work/openssl-1.1.1i-abi_x86_64.amd64
>>> Source prepared.
>>> Configuring source in /Users/ash/Gentoo/var/tmp/portage/dev-libs/openssl-1.1.1i/work/openssl-1.1.1i ...
 * abi_x86_64.amd64: running multilib-minimal_abi_src_configure
 * Use configuration darwin64-x86_64-cc
./Configure darwin64-x86_64-cc enable-camellia enable-ec enable-ec2m enable-sm2 enable-srp enable-idea enable-mdc2 enable-rc5 no-ssl3 no-ssl3-method enable-asm no-rfc3779 no-sctp no-heartbeats enable-zlib --prefix=/Users/ash/Gentoo/usr --openssldir=/Users/ash/Gentoo/etc/ssl --libdir=lib shared threads
Configuring OpenSSL version 1.1.1i (0x1010109fL) for darwin64-x86_64-cc
Using os-specific seed configuration
Creating configdata.pm
Creating Makefile

**********************************************************************
***                                                                ***
***   OpenSSL has been successfully configured                     ***
***                                                                ***
***   If you encounter a problem while building, please open an    ***
***   issue on GitHub <https://github.com/openssl/openssl/issues>  ***
***   and include the output from the following command:           ***
***                                                                ***
***       perl configdata.pm --dump                                ***
***                                                                ***
***   (If you are new to OpenSSL, you might want to consult the    ***
***   'Troubleshooting' section in the INSTALL file first)         ***
***                                                                ***
**********************************************************************
>>> Source configured.
>>> Compiling source in /Users/ash/Gentoo/var/tmp/portage/dev-libs/openssl-1.1.1i/work/openssl-1.1.1i ...
 * abi_x86_64.amd64: running multilib-minimal_abi_src_compile
make SHELL=/Users/ash/Gentoo/tmp/bin/bash -j8 -j1 depend 
make SHELL=/Users/ash/Gentoo/tmp/bin/bash -j8 all 
/Users/ash/Gentoo/usr/bin/perl "-I." -Mconfigdata "util/dofile.pl" \
    "-oMakefile" include/crypto/bn_conf.h.in > include/crypto/bn_conf.h
/Users/ash/Gentoo/usr/bin/perl "-I." -Mconfigdata "util/dofile.pl" \
    "-oMakefile" include/crypto/dso_conf.h.in > include/crypto/dso_conf.h
/Users/ash/Gentoo/usr/bin/perl "-I." -Mconfigdata "util/dofile.pl" \
    "-oMakefile" include/openssl/opensslconf.h.in > include/openssl/opensslconf.h
make _all
make[1]: Entering directory '/Users/ash/Gentoo/var/tmp/portage/dev-libs/openssl-1.1.1i/work/openssl-1.1.1i-abi_x86_64.amd64'
x86_64-apple-darwin20-gcc  -I. -Iinclude -fPIC -arch x86_64 -march=native -O2 -pipe -fno-strict-aliasing -DL_ENDIAN -DOPENSSL_PIC -DOPENSSL_CPUID_OBJ -DOPENSSL_IA32_SSE2 -DOPENSSL_BN_ASM_MONT -DOPENSSL_BN_ASM_MONT5 -DOPENSSL_BN_ASM_GF2m -DSHA1_ASM -DSHA256_ASM -DSHA512_ASM -DKECCAK1600_ASM -DRC4_ASM -DMD5_ASM -DAESNI_ASM -DVPAES_ASM -DGHASH_ASM -DECP_NISTZ256_ASM -DX25519_ASM -DPOLY1305_ASM -DOPENSSLDIR="\"/Users/ash/Gentoo/etc/ssl\"" -DENGINESDIR="\"/Users/ash/Gentoo/usr/lib/engines-1.1\"" -D_REENTRANT -DZLIB -DNDEBUG -DOPENSSL_NO_BUF_FREELISTS  -c -o apps/app_rand.o apps/app_rand.c
x86_64-apple-darwin20-gcc  -I. -Iinclude -fPIC -arch x86_64 -march=native -O2 -pipe -fno-strict-aliasing -DL_ENDIAN -DOPENSSL_PIC -DOPENSSL_CPUID_OBJ -DOPENSSL_IA32_SSE2 -DOPENSSL_BN_ASM_MONT -DOPENSSL_BN_ASM_MONT5 -DOPENSSL_BN_ASM_GF2m -DSHA1_ASM -DSHA256_ASM -DSHA512_ASM -DKECCAK1600_ASM -DRC4_ASM -DMD5_ASM -DAESNI_ASM -DVPAES_ASM -DGHASH_ASM -DECP_NISTZ256_ASM -DX25519_ASM -DPOLY1305_ASM -DOPENSSLDIR="\"/Users/ash/Gentoo/etc/ssl\"" -DENGINESDIR="\"/Users/ash/Gentoo/usr/lib/engines-1.1\"" -D_REENTRANT -DZLIB -DNDEBUG -DOPENSSL_NO_BUF_FREELISTS  -c -o apps/apps.o apps/apps.c
x86_64-apple-darwin20-gcc  -I. -Iinclude -fPIC -arch x86_64 -march=native -O2 -pipe -fno-strict-aliasing -DL_ENDIAN -DOPENSSL_PIC -DOPENSSL_CPUID_OBJ -DOPENSSL_IA32_SSE2 -DOPENSSL_BN_ASM_MONT -DOPENSSL_BN_ASM_MONT5 -DOPENSSL_BN_ASM_GF2m -DSHA1_ASM -DSHA256_ASM -DSHA512_ASM -DKECCAK1600_ASM -DRC4_ASM -DMD5_ASM -DAESNI_ASM -DVPAES_ASM -DGHASH_ASM -DECP_NISTZ256_ASM -DX25519_ASM -DPOLY1305_ASM -DOPENSSLDIR="\"/Users/ash/Gentoo/etc/ssl\"" -DENGINESDIR="\"/Users/ash/Gentoo/usr/lib/engines-1.1\"" -D_REENTRANT -DZLIB -DNDEBUG -DOPENSSL_NO_BUF_FREELISTS  -c -o apps/bf_prefix.o apps/bf_prefix.c
x86_64-apple-darwin20-gcc  -I. -Iinclude -fPIC -arch x86_64 -march=native -O2 -pipe -fno-strict-aliasing -DL_ENDIAN -DOPENSSL_PIC -DOPENSSL_CPUID_OBJ -DOPENSSL_IA32_SSE2 -DOPENSSL_BN_ASM_MONT -DOPENSSL_BN_ASM_MONT5 -DOPENSSL_BN_ASM_GF2m -DSHA1_ASM -DSHA256_ASM -DSHA512_ASM -DKECCAK1600_ASM -DRC4_ASM -DMD5_ASM -DAESNI_ASM -DVPAES_ASM -DGHASH_ASM -DECP_NISTZ256_ASM -DX25519_ASM -DPOLY1305_ASM -DOPENSSLDIR="\"/Users/ash/Gentoo/etc/ssl\"" -DENGINESDIR="\"/Users/ash/Gentoo/usr/lib/engines-1.1\"" -D_REENTRANT -DZLIB -DNDEBUG -DOPENSSL_NO_BUF_FREELISTS  -c -o apps/opt.o apps/opt.c
x86_64-apple-darwin20-gcc  -I. -Iinclude -fPIC -arch x86_64 -march=native -O2 -pipe -fno-strict-aliasing -DL_ENDIAN -DOPENSSL_PIC -DOPENSSL_CPUID_OBJ -DOPENSSL_IA32_SSE2 -DOPENSSL_BN_ASM_MONT -DOPENSSL_BN_ASM_MONT5 -DOPENSSL_BN_ASM_GF2m -DSHA1_ASM -DSHA256_ASM -DSHA512_ASM -DKECCAK1600_ASM -DRC4_ASM -DMD5_ASM -DAESNI_ASM -DVPAES_ASM -DGHASH_ASM -DECP_NISTZ256_ASM -DX25519_ASM -DPOLY1305_ASM -DOPENSSLDIR="\"/Users/ash/Gentoo/etc/ssl\"" -DENGINESDIR="\"/Users/ash/Gentoo/usr/lib/engines-1.1\"" -D_REENTRANT -DZLIB -DNDEBUG -DOPENSSL_NO_BUF_FREELISTS  -c -o apps/s_cb.o apps/s_cb.c
x86_64-apple-darwin20-gcc  -I. -Iinclude -fPIC -arch x86_64 -march=native -O2 -pipe -fno-strict-aliasing -DL_ENDIAN -DOPENSSL_PIC -DOPENSSL_CPUID_OBJ -DOPENSSL_IA32_SSE2 -DOPENSSL_BN_ASM_MONT -DOPENSSL_BN_ASM_MONT5 -DOPENSSL_BN_ASM_GF2m -DSHA1_ASM -DSHA256_ASM -DSHA512_ASM -DKECCAK1600_ASM -DRC4_ASM -DMD5_ASM -DAESNI_ASM -DVPAES_ASM -DGHASH_ASM -DECP_NISTZ256_ASM -DX25519_ASM -DPOLY1305_ASM -DOPENSSLDIR="\"/Users/ash/Gentoo/etc/ssl\"" -DENGINESDIR="\"/Users/ash/Gentoo/usr/lib/engines-1.1\"" -D_REENTRANT -DZLIB -DNDEBUG -DOPENSSL_NO_BUF_FREELISTS  -c -o apps/s_socket.o apps/s_socket.c
x86_64-apple-darwin20-gcc  -I. -Iinclude -fPIC -arch x86_64 -march=native -O2 -pipe -fno-strict-aliasing -DL_ENDIAN -DOPENSSL_PIC -DOPENSSL_CPUID_OBJ -DOPENSSL_IA32_SSE2 -DOPENSSL_BN_ASM_MONT -DOPENSSL_BN_ASM_MONT5 -DOPENSSL_BN_ASM_GF2m -DSHA1_ASM -DSHA256_ASM -DSHA512_ASM -DKECCAK1600_ASM -DRC4_ASM -DMD5_ASM -DAESNI_ASM -DVPAES_ASM -DGHASH_ASM -DECP_NISTZ256_ASM -DX25519_ASM -DPOLY1305_ASM -DOPENSSLDIR="\"/Users/ash/Gentoo/etc/ssl\"" -DENGINESDIR="\"/Users/ash/Gentoo/usr/lib/engines-1.1\"" -D_REENTRANT -DZLIB -DNDEBUG -DOPENSSL_NO_BUF_FREELISTS  -c -o crypto/aes/aes_cbc.o crypto/aes/aes_cbc.c
x86_64-apple-darwin20-gcc  -I. -Iinclude -fPIC -arch x86_64 -march=native -O2 -pipe -fno-strict-aliasing -DL_ENDIAN -DOPENSSL_PIC -DOPENSSL_CPUID_OBJ -DOPENSSL_IA32_SSE2 -DOPENSSL_BN_ASM_MONT -DOPENSSL_BN_ASM_MONT5 -DOPENSSL_BN_ASM_GF2m -DSHA1_ASM -DSHA256_ASM -DSHA512_ASM -DKECCAK1600_ASM -DRC4_ASM -DMD5_ASM -DAESNI_ASM -DVPAES_ASM -DGHASH_ASM -DECP_NISTZ256_ASM -DX25519_ASM -DPOLY1305_ASM -DOPENSSLDIR="\"/Users/ash/Gentoo/etc/ssl\"" -DENGINESDIR="\"/Users/ash/Gentoo/usr/lib/engines-1.1\"" -D_REENTRANT -DZLIB -DNDEBUG -DOPENSSL_NO_BUF_FREELISTS  -c -o crypto/aes/aes_cfb.o crypto/aes/aes_cfb.c
In file included from apps/bf_prefix.c:10:
/Users/ash/Gentoo/usr/lib/gcc/x86_64-apple-darwin20/10.2.0/include-fixed/stdio.h:78:10: fatal error: _stdio.h: No such file or directory
   78 | #include <_stdio.h>
      |          ^~~~~~~~~~
In file included from apps/apps.c:18:
/Users/ash/Gentoo/usr/lib/gcc/x86_64-apple-darwin20/10.2.0/include-fixed/stdio.h:78:10: fatal error: _stdio.h: No such file or directory
   78 | #include <_stdio.h>
      |          ^~~~~~~~~~
compilation terminated.
compilation terminated.
In file included from apps/s_cb.c:11:
/Users/ash/Gentoo/usr/lib/gcc/x86_64-apple-darwin20/10.2.0/include-fixed/stdio.h:78:10: fatal error: _stdio.h: No such file or directory
   78 | #include <_stdio.h>
      |          ^~~~~~~~~~
compilation terminated.
In file included from apps/s_socket.c:11:
/Users/ash/Gentoo/usr/lib/gcc/x86_64-apple-darwin20/10.2.0/include-fixed/stdio.h:78:10: fatal error: _stdio.h: No such file or directory
   78 | #include <_stdio.h>
      |          ^~~~~~~~~~
compilation terminated.
In file included from /Users/ash/Gentoo/usr/lib/gcc/x86_64-apple-darwin20/10.2.0/include-fixed/syslimits.h:7,
                 from /Users/ash/Gentoo/usr/lib/gcc/x86_64-apple-darwin20/10.2.0/include-fixed/limits.h:34,
                 from ./e_os.h:13,
                 from apps/apps.h:13,
                 from apps/app_rand.c:10:
/Users/ash/Gentoo/usr/lib/gcc/x86_64-apple-darwin20/10.2.0/include-fixed/limits.h:195:15: fatal error: limits.h: No such file or directory
  195 | #include_next <limits.h>  /* recurse down to the real one */
      |               ^~~~~~~~~~
In file included from /Users/ash/Gentoo/usr/lib/gcc/x86_64-apple-darwin20/10.2.0/include-fixed/syslimits.h:7,
                 from /Users/ash/Gentoo/usr/lib/gcc/x86_64-apple-darwin20/10.2.0/include-fixed/limits.h:34,
                 from ./e_os.h:13,
                 from apps/apps.h:13,
                 from apps/opt.c:9:
/Users/ash/Gentoo/usr/lib/gcc/x86_64-apple-darwin20/10.2.0/include-fixed/limits.h:195:15: fatal error: limits.h: No such file or directory
  195 | #include_next <limits.h>  /* recurse down to the real one */
      |               ^~~~~~~~~~
compilation terminated.
compilation terminated.
make[1]: *** [Makefile:706: apps/opt.o] Error 1
make[1]: *** Waiting for unfinished jobs....
make[1]: *** [Makefile:700: apps/app_rand.o] Error 1
make[1]: *** [Makefile:708: apps/s_cb.o] Error 1
make[1]: *** [Makefile:702: apps/apps.o] Error 1
make[1]: *** [Makefile:704: apps/bf_prefix.o] Error 1
make[1]: *** [Makefile:710: apps/s_socket.o] Error 1
make[1]: Leaving directory '/Users/ash/Gentoo/var/tmp/portage/dev-libs/openssl-1.1.1i/work/openssl-1.1.1i-abi_x86_64.amd64'
make: *** [Makefile:172: all] Error 2
 * ERROR: dev-libs/openssl-1.1.1i::gentoo_prefix failed (compile phase):
 *   emake failed
 * 
 * If you need support, post the output of `emerge --info '=dev-libs/openssl-1.1.1i::gentoo_prefix'`,
 * the complete build log and the output of `emerge -pqv '=dev-libs/openssl-1.1.1i::gentoo_prefix'`.
 * The complete build log is located at '/Users/ash/Gentoo/var/tmp/portage/dev-libs/openssl-1.1.1i/temp/build.log'.
 * The ebuild environment file is located at '/Users/ash/Gentoo/var/tmp/portage/dev-libs/openssl-1.1.1i/temp/environment'.
 * Working directory: '/Users/ash/Gentoo/var/tmp/portage/dev-libs/openssl-1.1.1i/work/openssl-1.1.1i-abi_x86_64.amd64'
 * S: '/Users/ash/Gentoo/var/tmp/portage/dev-libs/openssl-1.1.1i/work/openssl-1.1.1i'

>>> Failed to emerge dev-libs/openssl-1.1.1i, Log file:
Comment 1 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2021-06-25 23:59:15 UTC
I have confirmed this.
Comment 2 Fabian Groffen gentoo-dev 2021-08-28 08:13:37 UTC
I have bumped the snapshot, and confirmed a successful bootstrap in https://bootstrap.prefix.bitzolder.nl/results/x86_64-apple-darwin20/20210827